Telefonnummern auflisten
curl --request GET \
--url https://app.famulor.de/api/user/phone-numbers/all \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/phone-numbers/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/phone-numbers/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/phone-numbers/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/phone-numbers/all"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": 1,
"phone_number": "+49155551234",
"nickname": "Vertrieb",
"country_code": "DE",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": true,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-07T10:30:00.000000Z"
},
{
"id": 2,
"phone_number": "+442071234567",
"nickname": null,
"country_code": "GB",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": false,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-05T14:20:00.000000Z"
}
]
}
Telefonnummern auflisten
Ruft alle Telefonnummern des authentifizierten Benutzers ab
GET
/
api
/
user
/
phone-numbers
/
all
Telefonnummern auflisten
Dieser Endpunkt gibt eine Liste aller Telefonnummern zurück, die mit deinem Konto verknüpft sind, einschließlich ihres Abonnementstatus und ihrer Funktionen.
Es gibt auch einen Legacy-Endpunkt
GET /user/phone-numbers, der nur SMS-fähige Telefonnummern mit aktiven Abonnements zurückgibt. Verwende diesen /all Endpunkt, wenn du alle Telefonnummern benötigst, unabhängig von SMS-Fähigkeit oder Abonnementstatus.Antwort-Felder
array
Array von Telefonnummern-Objekten
Anzeigen Telefonnummer-Eigenschaften
Anzeigen Telefonnummer-Eigenschaften
integer
Die eindeutige Kennung der Telefonnummer
string
Die Telefonnummer im E.164-Format (z.B. +49155551234)
string
Ein kurzes, menschenlesbares Label für die Nummer (oder
null, wenn nicht gesetzt)string
Der ISO 3166-1 alpha-2 Ländercode (z.B. DE, GB, AU)
string
Der Typ der Telefonnummer:
normal, sip oder caller_idstring
Menschenlesbares Label für den Telefonnummerntyp
boolean
Ob die Telefonnummer SMS senden und empfangen kann
string
Die Region, in der die Telefonnummer bereitgestellt wurde
boolean
Ob die Telefonnummer ein aktives Abonnement hat
string
ISO 8601 Zeitstempel, wann die Telefonnummer gekauft wurde
{
"data": [
{
"id": 1,
"phone_number": "+49155551234",
"nickname": "Vertrieb",
"country_code": "DE",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": true,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-07T10:30:00.000000Z"
},
{
"id": 2,
"phone_number": "+442071234567",
"nickname": null,
"country_code": "GB",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": false,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-05T14:20:00.000000Z"
}
]
}
Passende Seiten: Introduction und Authentication Guide und API Integration Examples.
War diese Seite hilfreich?
⌘I

